#ifndef PANG_O_LIN_FAT12_H__
#define PANG_O_LIN_FAT12_H__

#include <stdint.h>

void fat12_write_u16(void *ptr, uint16_t val);
uint16_t fat12_read_u16(void *ptr);
void fat12_set_cluster(void *fat, uint32_t cluster, uint32_t value);
uint32_t fat12_get_cluster(void *fat, uint32_t cluster);

int fat12_defrag(int fd);
int fat12_mkfs(int fd, uint32_t bytes);

#endif /* PANG_O_LIN_FAT12_H__ */